import { SvgIconProps } from "../../app/types/types";


export function EditPenIcon(props: SvgIconProps) {
  return (
    <svg width="13" height="13" viewBox="0 0 13 13" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M12.0164 0.986224C12.3968 1.36679 12.6105 1.88286 12.6105 2.42095C12.6105 2.95905 12.3968 3.47512 12.0164 3.85568L4.52224 11.3463C4.19729 11.6713 3.79013 11.902 3.34428 12.0136L1.02024 12.5944C0.935232 12.6156 0.846176 12.6145 0.761747 12.5911C0.677317 12.5676 0.600395 12.5228 0.538476 12.4608C0.476557 12.3988 0.431754 12.3218 0.408433 12.2373C0.385111 12.1529 0.384068 12.0638 0.405403 11.9789L0.986236 9.65481C1.09783 9.20896 1.32846 8.8018 1.65349 8.47685L9.14694 0.986224C9.52751 0.605799 10.0436 0.39209 10.5817 0.39209C11.1198 0.39209 11.6358 0.605799 12.0164 0.986224ZM8.4294 3.13531L2.37032 9.19439C2.17512 9.38982 2.03678 9.63468 1.97011 9.90272L1.59611 11.4058L3.0999 11.0297C3.36796 10.963 3.61283 10.8247 3.80824 10.6295L9.86378 4.57039L8.4294 3.13531ZM9.86449 1.70093L9.14624 2.41847L10.5806 3.85285L11.3003 3.13602C11.4866 2.94501 11.5902 2.68826 11.5886 2.42142C11.5869 2.15457 11.4802 1.89912 11.2915 1.71043C11.1028 1.52173 10.8473 1.415 10.5805 1.41335C10.3137 1.41171 10.0569 1.51529 9.8659 1.70164L9.86449 1.70093Z"
        fill="#AD2184"
      />
    </svg>
  )
}
